package jrummikub.view;

/**
 * Enum summarizing the different kinds of login errors
 */
public enum LoginError {
	/** Error cannot be dissolved to a specific type */
	UNKNOWN_ERROR,
	/** No answer from network */
	TIMEOUT,
	/** Connection denied by server */
	CONNECTION_REFUSED,
	/** Password or username incorrect */
	AUTHENTICATION_FAILED,
	/** Username already occurs in the same channel */
	RESOURCE_CONFLICT,
	/** Server not found */
	UNKNOWN_HOST,
	/** Channel not found */
	UNKNOWN_CHANNEL
}
